program main

  use particleMod

  real(kind(1.0D0)) :: tstep
  real(kind(1.0D0)), target :: pos(3) = (/1.1D0, 1.2D0, 1.3D0/)
  real(kind(1.0D0)), target :: vel(3) = (/0.5D0, 0.0D0, 0.1D0/)
  real(kind(1.0D0)), pointer :: pPos(:), pVel(:)

  type(particle) :: p  

  tstep = 1.0D0
  pPos => pos
  pVel => vel

  print *, "Before particle move....."

  call particleCreate(p, pPos, pVel)
  call particleMove(p, tstep)
  call particlePrint(p)

  print *, "After particle move....."

  call particleMove(p, tstep)
  call particlePrint(p)

end program
